
export enum ViewType{
    None=0,
    UI=1<<0,
    UIWindow=(1<<1)|UI,
    UIFullView=(1<<2)|UI,
    UITabView=(1<<3)|UIWindow,
    SceneView=(1<<4),
}

export namespace ViewType{
    export function isUI(viewType:ViewType){
        let res=viewType&ViewType.UI
        return res==ViewType.UI
    }
    export function isUIWindow(viewType:ViewType){
        let res=viewType&ViewType.UIWindow
        return res==ViewType.UIWindow
    }
    export function isScene(viewType:ViewType){
        let res=viewType&ViewType.SceneView
        return res==ViewType.SceneView
    }
}



export namespace ViewConst{

    //释放时间
    export const ReleaseTime={
        UI:5,   
        Particle:8,
        SceneObj:10,    
    }
    //View
    export const TipsView="TipsView"

    //SceneView
    export const MenuView="bg"

    //UIWindow
    export const CardView="CardView"
    export const PauseView="PauseView"
}